body {
    font-family: 'Cosmopolitan Sans Light', sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f4f4f4;
}
header {
    display: flex;
    align-items: center;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    position: relative; 
}
.logo {
    margin-right: 20px;
}
nav {
    display: flex;
    flex-grow: 1;
}
.nav-links {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
}
.nav-links li {
    position: relative;
    margin-right: 15px;
}
.nav-links a {
    color: #333;
    padding: 10px 15px;
    text-decoration: none;
    display: block;
    transition: opacity 0.3s;
    font-weight: 600;
}
.nav-links a:hover {
    opacity: 0.7;
}
.dropdown-content {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #fff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    min-width: 150px;
    z-index: 1000;
    padding: 10px 0;
    border-radius: 4px;
    transition: opacity 0.3s;
}
.dropdown-content li {
    list-style: none;
}
.dropdown-content li a {
    padding: 10px 15px;
    white-space: nowrap;
    display: block;
    color: #333;
}
.dropdown:hover .dropdown-content {
    display: block;
    opacity: 1;
}
.search-bar-container {
    display: none;
    position: fixed;
    top: calc(60px + 10px); 
    left: 50%;
    transform: translateX(-50%);
    width: 90%; 
    max-width: 1000px; 
    background-color: rgba(255, 255, 255, 0.1); 
    z-index: 1; 
    padding: 15px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    transition: all 0.5s ease-in-out;
    opacity: 0; 
}
.search-bar-container.active {
    display: block;
    opacity: 1; 
}
.search-bar {
    display: flex;
    justify-content: space-between;
    width: 100%; 
    background-color: #fff;
    padding: 1px;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}
#search-input {
    flex-grow: 1;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    outline: none;
    background-color: transparent; 
    transition: border 0.3s ease;
    width: 90%; 
}
#search-input:focus {
    border-color: #007bff;
}
#close-btn {
    padding: 10px 15px;
    background-color: #e74c3c;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
#close-btn:hover {
    background-color: #c0392b;
}
#search-results {
    margin-top: 15px;
    max-width: 800px;
    margin: 15px auto 0;
    background-color: #fff;
    padding: 10px;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    max-height: 300px;
    overflow-y: auto; 
}
#search-results div {
    padding: 10px;
    border-bottom: 1px solid #eee;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
#search-results div:hover {
    background-color: #f1f1f1;
}
.search-active .search-bar-container {
    display: block;
    opacity: 1; 
}
.search-active .main-content {
    filter: blur(5px);
}
.search-active .search-bar-container {
    animation: slide-down 0.5s forwards;
}
#search-icon {
    cursor: pointer;
    width: 24px;
    height: 24px;
    margin-left: 25px; 
}
@keyframes slide-down {
    from {
        transform: translate(-50%, -100%);
    }
    to {
        transform: translate(-50%, 0);
    }
}
.nav-icons {
    display: flex;
    align-items: center;
}
.nav-icons a {
    margin-left: 25px;
}
.nav-icons a img {
    width: 24px;
    height: 24px;
    display: block;
}
.slideshow-container {
    position: relative;
    max-width: 100%;
    height: 80vh;
    overflow: hidden;
    background-color: #000;
}
.slide {
    display: none;
    position: absolute;
    width: 100%;
    height: 100%;
}
.slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    animation: zoomOut 7s ease-in-out;
}
@keyframes zoomOut {
    0% {
        transform: scale(1.2);
    }
    100% {
        transform: scale(1);
    }
}
.fade {
    animation: fadeEffect 7s;
}
@keyframes fadeEffect {
    from {opacity: .4}
    to {opacity: 1}
}
.loading-bars {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    justify-content: space-between;
    width: 30%;
}
.loading-bar {
    width: 10%;
    height: 4px;
    background-color: #fff;
    opacity: 0.5;
    transition: opacity 0.3s;
}
.loading-bar.active {
    opacity: 1;
}
.circle-container {
    display: flex;
    justify-content: center; 
    align-items: center;
    gap: 10px;
    margin-top: 20px;
}
.circle {
    width: 80px;
    height: 80px; 
    border-radius: 50%;
    background-size: cover;
    background-position: center;
}
#new-arrivals {
    background-image: url('whatmore_2cc458ca-168f-449b-a0ac-35a614ad6681.webp');
}

#best-sellers {
    background-image: url('whatmore_281749f9-402e-436f-a709-b031545d88f9.avif');
}
#maternity {
    background-image: url('whatmore_05b27dca-ab12-49f2-bb43-ba96a1516248.avif');
}
#stay-comfort {
    background-image: url('whatmore_0514dac4-6a39-43a4-8064-28d0688ab0e6.avif');
}
#product-of-year {
    background-image: url('whatmore_04467fdb-7516-4f95-bbde-7360d814fd9f.avif');
}
.circle-labels {
    display: flex;
    justify-content: center; 
    gap: 10px; 
    margin-top: 10px;
}
.circle-labels span {
    text-align: center;
    width: 80px;
}
.center-text {
    text-align: center;
    margin: 20px 0;
}
.center-text h1 {
    font-weight: bold;
}
.center-text p {
    color: grey;
    font-size: medium;
    max-width: 750px;
    margin: auto;
}
.new-arrivals {
    text-align: center;
    margin: 40px 0;
}
.card-container {
    display: flex;
    justify-content: space-between;
    flex-wrap: nowrap;
    width: 1100px;
    margin: auto;
}
.card {
    flex: 1 1 calc((100vw - 10rem) / 4);
    height: 700px;
    margin: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    overflow: hidden;
    transition: transform 0.3s;
}
.card:hover {
    transform: scale(1.05);
}
.card-image {
    position: relative;
    width: 100%;
    height: 70%;
    overflow: hidden;
}
.card-image img {
    width: 100%;
    height: 100%;
    display: block;
    transition: opacity 0.3s;
    object-fit: cover;
}
.card-image img.hover-image {
    position: absolute; 
    top: 0;
    left: 0;
    opacity: 0; 
    transition: opacity 0.3s ease-in-out;
}
.card:hover .card-image img.default-image {
    opacity: 0;
}
.card:hover .card-image img.hover-image {
    opacity: 1; 
}
.card-details {
    padding: 10px;
    text-align: left;
}
.product-name {
    font-weight: bold;
}
.price {
    color: #888;
}
.sizes {
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
}
.size {
    border: 1px solid #ccc;
    padding: 5px 10px;
    border-radius: 3px;
    cursor: pointer;
}
.view-all-btn {
    display: inline-block;
    padding: 10px 20px;
    background-color: black;
    color: white;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    margin-top: 20px;
    text-decoration: none; 
    text-align: center;
    transition: box-shadow 0.3s, background-color 0.3s;
}
.view-all-btn:hover {
    box-shadow: 0 0 15px rgba(255, 255, 255, 0.7) inset;
    background-color: black;
}
.banner {
    position: relative;
    width: 100%;
    margin: 40px 0;
}
.banner-image {
    width: 100%;
    height: auto;
}
.tooltip {
    position: absolute;
    background: rgba(0, 0, 0, 0.7);
    color: white;
    padding: 10px;
    border-radius: 5px;
    display: none;
    white-space: nowrap;
}
.white-ball {
    position: absolute;
    width: 45px;
    height: 45px;
    background-color: rgba(255, 255, 255, 0.8);
    border: 2px solid white;
    border-radius: 50%;
    cursor: pointer;
    z-index: 1;
}
.white-ball:hover + .tooltip {
    display: block;
}
#model1-tooltip {
    top: calc(55% + 30px);
    left: 32%;
}
#model2-tooltip {
    top: calc(55% + 30px); 
    left: 70%;
}
.bottomwear-lounge {
    text-align: center;
    margin: 40px 0;
}
.bottomwear-lounge h2 {
    font-size: 2em;
    margin-bottom: 20px;
}
.bottomwear-card {
    width: 268.24px;
    height: 402.23px;
    position: relative;
    margin: 10px;
}
.bottomwear-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.bottomwear-name {
    position: absolute;
    left: 10px;
    bottom: 10px;
    color: white;
    text-decoration: none;
    font-weight: bold;
    background: rgba(0, 0, 0, 0.5);
    padding: 5px 10px;
    transition: border-bottom 0.3s;
}
.bottomwear-name:hover {
    border-bottom: 2px solid white;
}
footer {
    margin-top: 15px;
}
.panel-1 {
    background-color: black;
    color: white;
    align-items: center;
    display: flex;
    justify-content: center;
    height: 40px;
    font-size: small;
}
.panel-1 a:hover {
    border-bottom: 0.5px solid white;
    color: white;
}
.panel-1 a {
    color: white;
    text-decoration: none;
}
.panel-2 {
    background-color: black;
    color: white;
    height: 300px;
    display: flex;
    line-height: 19px;
}
.panel-2 ul {
    list-style: none;
    padding: 0;
    margin: 0;
}
.panel-2 ul p {
    font-weight: bold;
    margin: 20px 0;
}
.panel-2 ul li {
    margin: 5px 0;
}
.panel-2 ul a {
    color: #DDDDDD;
    font-size: small;
    font-weight: 400;
    display: block;
    margin-left: 60px;
    text-decoration: none;
}
.panel-2 a:hover {
    border-bottom: 0.5px solid white;
}
.panel-3 {
    background-color: black;
    color: #DDDDDD;
    display: flex;
    justify-content: center;
    height: 80px;
    font-size: small;
    align-items: center;
    cursor: pointer;
}
.panel-3 .pages {
    padding: 25px;
    display: flex;
    justify-content: center;
    gap: 15px;
}
.panel-3 .pages a {
    text-decoration: none;
    color: #cccccc;
}
.panel-3 .pages a:hover {
    border-bottom: 1px solid white;
    width: fit-content;
}
.panel-3 .copyright {
    padding: 5px;
    text-align: center;
}
.panel-3 .copyright a:hover {
    border-bottom: 1px solid white;
}
.put_email input {
    background-color: transparent;
    color: antiquewhite;
    margin-left: 500px;
    line-height: 20px;
    margin-top: 10px;
    border-bottom: 1px solid white;
    box-shadow: none;
    border: 1px solid white;
    border-radius: 5px;
    padding: 5px 15px;
}